﻿/* ============ Reports ==================== */
.reportoptions
{
	display:block;
	padding-bottom:1em;
	width:100%;
	height:auto;
}
.reportoptions .FormGroup
{
	display:inline-block; 
}
div.FormGroup div.reportoption
{
	width:auto;
	display:inline;
	padding:0.5em;
}
.reportoption label.ui-button
{
	padding:0.5em;
	width:auto;
}

div.reportoption div.ui-buttonset
{
	display:inline;
	width:auto;
	padding:0.5em;
}
.reportelement
{
	position:relative;
	margin:1em;
}
.reportelement.chart
{
	height:440px;
}
.reportelement.expand
{
	height:auto;
}
ul.table-list li
{
	padding:0px;
	margin:0px;
}


#ReportOptions
{
	padding-bottom: 1em;
	width:920px;
}
#ReportOptions-Parameters div
{
	float:left;
}
#ReportOptions div.reportoption-group
{
	padding: 0 10px 0 0;
}
#ReportOptions label
{
	padding: 5px;
	display:block;
	float:left;
	clear:none;
    font-weight:bold;
    width:auto;
}

#ReportOptions-Parameters input, 
#ReportOptions-Parameters select
{
    display:block;
    float:left;
	font-size:1.2em;
	clear:none;
	margin: 2px;
	padding: 2px 4px;
}
.inputfield-date input
{
	width:80px;
}
#report-refresh-button {
    float: left;
}
#report-export-button {
    float: right;
}
#report-export-button input{
    margin:10px;
}
#report-export-button.hidden {
    display:none;
}



#ReportElements div.report-element-header, #ReportElements div.report-element-footer {
    position: relative;
    color: #303030;
    background: #EEEEEE none;
    text-align: center;
    border: solid 1px #CCCCCC;
}
#ReportElements h3
{
    background: transparent none;
    padding: 5px;
    display: block;
    text-align: center;
}
#ReportElements div.reportelement
{
	margin: 0px;
	padding-bottom:0.5em;
	background-color:#ffffff;
	border-top: solid 5px #808385;
}

#ReportElements div.reportelement.onecol,
#ReportElements div.reportelement.onecol table /* required for IE */
{
	width: 920px;
}
#ReportElements .reportelement.twocol,
#ReportElements .reportelement.twocol table /* required for IE */
{
	width:455px;
}

#ReportElements div.reportelement.expand
{
	height:auto;
}


#ReportElements .report-section-title
{
	margin-bottom:10px;
	width:100%;
	color: #FFFFFF;
	background-color:#808385;  
	background-image:none;
}
#ReportElements div.google-iframe-element
{
    border-width: 1px;
}

/* modifications to google visualization styles */
#ReportElements div.google-iframe-element,
#ReportElements table.google-visualization-table-table,
#ReportElements table.google-visualization-table-table td
{
    border-color: #CCCCCC;
    border-style: solid;
}

#ReportElements table.google-visualization-table-table
{
    border-width: 1px 1px 0 0;
    border-spacing: 0;
    border-collapse: collapse;
}
#ReportElements table.google-visualization-table-table th {
    color:#303030;
}
#ReportElements table.google-visualization-table-table td
{
    border-width: 0 0 1px 1px;
    background: #FFFFFF none;
    font-size:90%;
    text-align: left;
}
#ReportElements table.google-visualization-table-table tr.google-visualization-table-tr-head td
{
    background-color: #FFFFFF;
	font-weight: bold;
    color:#303030;
    text-align: center;
}
/*
#ReportElements table.google-visualization-table-table tr.google-visualization-table-tr-even td
#ReportElements table.google-visualization-table-table tr.google-visualization-table-tr-odd td
#ReportElements table.google-visualization-table-table tr.google-visualization-table-tr-sel td
#ReportElements table.google-visualization-table-table tr.google-visualization-table-tr-over td
{
    background-color: #FFFFFF;
}
*/
#ReportElements table.google-visualization-table-table td.google-visualization-table-td-number,
#ReportElements table.google-visualization-table-table td.google-visualization-table-td-bool
{
    text-align: center;
}

#ReportElements .reportelement.twocol.left
{
    padding-right: 0;
    margin: 0px auto 0px 0px;
	float:left;
}
#ReportElements .reportelement.twocol.right
{
    padding-left: 0;
    margin: 0px 0px 0px auto;
	float:right;
}
#ReportElements div.reportoption
{
    float:none;
    display:block;
    position:absolute;
    top: 5px;
    right: 5px;
}
#ReportElements li
{
    padding: 0px 2px;
    float:left;
    display:block;
}

#ReportElements a.optionlist-unselected,
#ReportElements a.optionlist-selected,
#ReportElements button
{
    display:block;
    float:none;
	font-weight:bold;
	text-decoration:none;
	cursor:pointer;
	padding:2px 5px; 
	border:none;
	height:auto;
}

#ReportElements a.optionlist-unselected,
#ReportElements button
{
	background-color:#DDDDDD;
    color:#008AD7;
}
#ReportElements a.optionlist-unselected:hover,
#ReportElements button:hover
{
    background-color:#008AD7;
    color: #ffffff;
}
#ReportElements a.optionlist-selected
{
    background-color:#76BF00;
    color: #ffffff;
}
#ReportElements a.optionlist-selected:hover
{
    background-color:#6DAB08;
    color: #ffffff;
}
#ReportElements button[disabled]
{
	background-color:#DDDDDD;
	color:#777777;
    cursor:inherit;
}
#ReportElements .widget-loading
{
	height:400px;
}

#ReportLinks div.List
{
	display:block;
	position:relative; 
	margin:5px;
	padding:5px;
	height:3em;
}
#ReportName
{
	width:30%;
	display:inline;
	position:absolute;
	top:0px;
	left:0px;
	height:auto;
}
#ReportDescription
{
	position:absolute;
	display:inline;
	float:right;
	width:70%;
	top:0px;
	right:0px;
	height:auto;
}
div.TableSummary
{
	font-weight:bold;
}

/*
* Font sizes
*/
#ReportElements div.small-font table.google-visualization-table-table td
{
	font-size:90%; 
}